version: "3.5"

services:
  jaeger:
    image: jaegertracing/all-in-one:latest
    ports:
      - "16686:16686"
      - "14268"
      - "14250"

  otel-collector:
    image: otel/opentelemetry-collector:latest
    command: ["--config=/etc/otel-collector-config.yaml"]
    volumes:
      - ../otel-collector-config.yaml:/etc/otel-collector-config.yaml
    ports:
      #      - "1888:1888"   # pprof extension
      # It's useful to be able to manually inspect metrics during dev
      - "8888:8888" # Prometheus metrics exposed by the collector
      - "8889:8889" # Prometheus exporter metrics
      #      - "13133:13133" # health_check extension
      - "4317:4317" # OTLP gRPC receiver
    #      - "55679:55679" # zpages extension
    depends_on:
      - jaeger

  prometheus:
    network_mode: host
    container_name: prometheus
    image: prom/prometheus:latest
    volumes:
      - ../prometheus.yaml:/etc/prometheus/prometheus.yml
    ports:
      - "9090:9090"
